<?php
session_start();
require("conexion.php");
if(isset($_SESSION['nom_admin'])==false){
    header('Location: index.php');
}else{
$nom = $_SESSION['nom_admin'];
$iduser = $_SESSION['id_user'];
$suc = $_SESSION['IdSuc'];
$tipou= $_SESSION['tipouser'];
if($suc == 1){
    $pre = 'CUL-';
    $not = 'NV';
    $sucn = 'SUCURSAL CULIACAN';
}else if ($suc == 2){
    $pre = 'MAZ-';
    $not = 'NV';
    $sucn = 'SUCURSAL MAZATLAN';
}else if($suc == 3){
    $pre = 'HER-';
    $not = 'NV';
    $sucn = 'SUCURSAL HERMOSILLO';
}
}
?>
<html>
    <head>
        
        <title>Reportes</title>
        <link type="text/css" rel="stylesheet" href="./css/bootstrap.min.css"  media="screen,projection"/>
        <link rel="stylesheet" type="text/css" href="./css/prueba.css">

       

    </head>
    <body >
<?php 

include('menu.php'); ?>

<section>
    <br>
    <br>
    <br>
    <br>
    <h1 align="center">CONCENTRADO DE REPORTES</h1>
    <div id="section" align="center">
    <table border="0" class="table  table-condensed" style="max-width:960px;">
        <tr>
            <td colspan="7" align="center"><select id="sucbus" onchange="buscarsuc()" <?php if($iduser != 2 && $iduser != 5 && $iduser != 14 && $iduser != 14 && $iduser != 99){echo 'hidden';} ?>>
            <option value="0">GLOBAL</option>
            <option value="1" <?php if($suc == 1){ echo 'selected';} ?>>CULIACAN</option>
            <option value="2" <?php if($suc == 2){ echo 'selected';} ?>>MAZATLAN</option>
            <option value="3" <?php if($suc == 3){ echo 'selected';} ?>>HERMOSILLO</option>
        </select></td>
        </tr>
        
        
        <tr>
            
            <td colspan="5" "><select id="busqueda">
                <option value="-1" selected>Selecciona una opcion de busqueda</option>

                <option value="1">Ventas</option>
                <option value="13">Ventas cobradas</option>
                <option value="14">Ventas no cobradas</option>
                <option value="16">Ventas por cliente</option>
                <option value="15">Clientes</option>
                <option value="4">Productos</option>
                <option value="5">Por categorias</option>
                <option value="8">Fotografo/Mostrador</option>
                <option value="10">F.E.C</option>
                <option value="19">Movimientos</option>
                <?php if($iduser == 2 || $iduser == 14 || $iduser == 1){ ?><option value="6">Perdidas</option> <?php } ?>
                <?php if($iduser == 2 || $iduser == 14 || $iduser == 1){ ?><option value="9">Por vendedor</option> <?php } ?>
                <?php if($iduser == 2 || $iduser == 14 || $iduser == 1){ ?><option value="20">Ejecutivo</option> <?php } ?>
                <option value="21">Checador</option>
                <!--
                <option value="5">Por Semana</option>
                
                <option value="6">Revisadas por semana</option>
                <option value="7">No revisadas por semana</option>
                <option value="9">Pendientes de pago</option>
                <option value="10">Pagadas en efectivo</option>
                <option value="11">Pagadas por transferencia</option>
                <option value="12">Pagadas por semana</option>
                <option value="3">Mostrar todo</option>-->
            </select></td>
            <td><a href="reportes.php">Limpiar busqueda</a></td>
        </tr>
        <tr>
            <td colspan="7"><br></td>
        </tr>

        <tr id="porfecha">
            
           <td><select id="tipofoliov">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2" ? >Nota de venta</option>
                </select></td>
            <td><input type="date" id="busqdv" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhv" class="datepicker"/></td>
            <td colspan="1" width="200"><button id="busqenv">Buscar</button></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelv()" value="EXCEL"></td>
            
        </tr>
        <tr id="movs">
            
           <td><select id="tipofoliovm">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2" ? >Nota de venta</option>
                </select></td>
            <td><input type="date" id="busqdvm" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhvm" class="datepicker"/></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelmov()" value="EXCEL"></td>
            
        </tr>
        <tr id="fec">
            
           <!-- <td><select id="tipofoliov">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2" ? >Nota de venta</option>
                </select></td> -->
            <td><input type="date" id="busqfec" class="datepicker"/></td><!-- 
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhfec" class="datepicker"/></td> -->
            <!-- <td colspan="1" width="200"><button id="busqenvfec">Buscar</button></td> -->
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelfec()" value="EXCEL"></td>
            
        </tr>
        <tr id="ventasporcliente">
            
           <td><select id="tipofoliovpc">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2" ? >Nota de venta</option>
                </select></td>
            <td><input type="date" id="busqdvpc" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhvpc" class="datepicker"/></td>
            <td colspan="1" width="200"><button id="busqenvpc">Buscar</button></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelvpc()" value="EXCEL"></td>
            
        </tr>
        <tr id="cancel">
            
           <td><select id="tipofoliovc">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2" ? >Nota de venta</option>
                </select></td>
            <td><input type="date" id="busqdvc" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhvc" class="datepicker"/></td>
            <td colspan="1" width="200"><button id="busqenvca">Buscar</button></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success"  onclick="excelvc()" value="EXCEL"></td>
            
        </tr>
        
        <tr id="notas">
            
            <td><select id="tipofoliovp">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2" ? >Nota de venta</option>
                </select></td>
            <td><input type="date" id="busqdvp" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhvp" class="datepicker"/></td>
            <td colspan="1" width="200"><button id="busqenvnot">Buscar</button></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success"  onclick="excelvp()" value="EXCEL"></td>
            



        </tr>
        <tr id="facturas">
            
            <td><input type="date" id="busqdc" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhc" class="datepicker"/></td>
            <td colspan="1" width="200"><button id="busqenvfac">Buscar</button></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success"  onclick="excelc()" value="EXCEL"></td>
            



        </tr>

        <tr class="porcliente">
            <td><input type="date" id="busqdp" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhp" class="datepicker"/></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelr()" value="EXCEL"></td>

        </tr>

        <!--<tr class="porcliente">
                <td colspan="2"><input type="date" id="busqdc" class="datepicker"/></td>
                <td colspan="1" width="200">&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="busqhc" class="datepicker"/></td>
                
                
            
        </tr>-->
        
        <tr class="porsucursal">
                <td><input type="date" id="busqdcat" class="datepicker"/></td>
                <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="busqhcat" class="datepicker"/></td>
                <td></br></td>
                <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelcat()" value="EXCEL"></td>
                
            
        </tr>
        <tr class="ejecutivo">
                <td><input type="date" id="busqdcate" class="datepicker"/></td>
                <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="busqhcate" class="datepicker"/></td>
                <td></br></td>
                <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelejec()" value="EXCEL"></td>
                
            
        </tr>
        <tr class="checador">
                <td><input type="date" id="busqdcatec" class="datepicker"/></td>
                <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="busqhcatec" class="datepicker"/></td>
                <td></br></td>
                <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelchec()" value="EXCEL"></td>
                
            
        </tr>

        <tr class="perdidas">
                <td><input type="date" id="busqdper" class="datepicker"/></td>
                <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
                <td><input type="date" id="busqhper" class="datepicker"/></td>
                <td></br></td>
                <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelper()" value="EXCEL"></td>
                
            
        </tr>
        
        <tr class="pornumero">

                <td><select id="tipofoliotc">
                    <option value="0" selected> General</option>
                    <option value="1" >Factura</option>
                    <option value="2"  >Nota de venta</option>
                </select></td>
            <td><input type="date" id="busqdtc" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhtc" class="datepicker"/></td>
            <td colspan="1" width="200"><button id="busqenvnot">Buscar</button></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success"  onclick="exceltc()" value="EXCEL"></td>
                
            
        </tr>
        <tr class="revisado">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="revisado">
        <td><input type="text" id="semrev" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anosr">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvrev">Buscar</button></td>
        </tr>
        <tr class="revisado">
            <td><br></td>
        </tr>
        <tr class="revisado">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelr();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
                <tr class="norevisado">
                <td colspan="1">Semana</td>
                
                </tr>
                <tr class="norevisado">
                <td><input type="text" id="semno" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
                <td colspan="1" width="600"><select id="anosn">
                <option value="-1" selected>Selecciona una opcion</option>

                <option value="2016">2016</option>
                <option value="2017" selected>2017</option>
                <option value="2018">2018</option>
                <option value="2019">2019</option>
                <option value="2020">2020</option>
            </select></td>

                <td colspan="1"width="200"><button id="busqenvnor">Buscar</button></td>
                
            
        </tr>
        <tr class="norevisado">
            <td><br></td>
        </tr>
        <tr class="norevisado">
            <td colspan="2"width="200"><a target="_blank" href="javascript:excelnr();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>

<!-- PENDIENTES DE PAGO-->

        <tr class="penpag">
            <td><select id="tipofoliorv">
                <option value="0" selected> Selecciona una opcion</option>
            <?php
                $usuarios = mysqli_query($conexion,"SELECT * FROM Usuarios WHERE Activado = 1 AND Eliminado = 0");

                while($v = mysqli_fetch_array($usuarios)){
        ?> <option value="<?php  echo $v['IdUsuario'] ?>"> <?php echo $v['Nombre'].' '.$v['Apellidos'] ?> </option>
        <?php
                } 
        ?>
    
                </select></td>
            <td><input type="date" id="busqdrv" class="datepicker"/></td>
            <td>&nbsp;&nbsp;Hasta&nbsp;&nbsp;</td>
            <td><input type="date" id="busqhrv" class="datepicker"/></td>
            <td></br></td>
            <td><input type="button" name="pdfs" class="btn btn-success" onclick="excelrv()" value="EXCEL"></td>
        </tr>
<!-- FIN PENDIENTE DE PAGO -->
<!-- PAGADAS EN EFECTIVO-->
        <tr class="pagefe">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="pagefe">
        <td><input type="text" id="sempage" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospage">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpage">Buscar</button></td>
        </tr>
        <tr class="pagefe">
            <td><br></td>
        </tr>
        <tr class="pagefe">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpage();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PAG EFECTIVO -->
<!-- PAGADAS POR TRANSFERENCIA-->
        <tr class="pagtra">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="pagtra">
        <td><input type="text" id="sempagt" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospagt">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpagt">Buscar</button></td>
        </tr>
        <tr class="pagtra">
            <td><br></td>
        </tr>
        <tr class="pagtra">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpagt();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PAGO TRANSF -->
<!-- PAGADAS-->
        <tr class="pag">
        <td colspan="1">Semana</td>
        
        </tr>
        <tr class="pag">
        <td><input type="text" id="sempag" maxlength="2" oninput="this.value=this.value.replace(/[^0-9]/g,'');"/></td>
        <td colspan="1" width="600"><select id="anospag">
        <option value="-1" selected>Selecciona una opcion</option>

        <option value="2016">2016</option>
        <option value="2017" selected>2017</option>
        <option value="2018">2018</option>
        <option value="2019">2019</option>
        <option value="2020">2020</option>
        </select></td>
        <td colspan="1" width="200"><button id="busqenvpag">Buscar</button></td>
        </tr>
        <tr class="pag">
            <td><br></td>
        </tr>
        <tr class="pag">
            <td colspan="2" width="200"><a target="_blank" href="javascript:excelpag();" class="btn btn-success">Exportar Busqueda a Excel</a></td>
        </tr>
<!-- FIN PAGADOS -->
        <tr id="mostrartodo">
            <td colspan="5"><br></td>
        </tr>

    </table>
    <div class="registros" id="agrega-registros"></div>
</section>
</div>
        <div id="footer" align="center">
            <p>Cuadropolis</p>
        </div>

    <div class="modal fade" id="modalAsistencia" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
        <div class="modal-dialog">
          <div class="modal-content">
            <div class="modal-header">
              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
              <h4 class="modal-title" id="myModalLabel"><b>Pagos</b></h4>
            </div>
            <div class="modal-body">
            <fieldset><legend>1. Pago</legend>
                <table class="tbl-registro" width="100%">
                    <tr>
                        
                        <td>Codigo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="codPago" disabled="disabled"  value="<?php echo $numa; ?>"/></td>
                        <td>Total: </td>
                        <td colspan="2"><input type="text" class="form-control" id="totalPago" disabled="disabled"  value="<?php echo $tpag; ?>"/></td>
                    </tr>
                    <tr>
                        
                        <td colspan="6"><select id="metodopago" width="100%">
                                    <option value="0" selected>Selecciona un metodo de pago</option>
                                    <option value="1">Efectivo</option>
                                    <option value="2">Depositos</option>
                                    <option value="3">Tarjeta bancaria</option>

                </select></td>
                    </tr>
                    <tr>
                        
                        <td>Anticipo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="antPago"   value="0"/></td>
                        <td>Saldo: </td>
                        <td colspan="2"><input type="text" class="form-control" id="saldoPago" disabled="disabled"  value="<?php echo $salpag; ?>"/></td>
                    </tr>

                    

                </table>
                </fieldset>
                <div class="modal-footer">
                    <input type="button"  class="btn btn-default" id="calcpend"  value="Calcular"/>

                    <input type="button"  class="btn btn-default" id="GuardPag"  value="Guardar"/>
                </div>
                <div id="mensaje"></div>
                
                
            </div>
          </div>
        </div>
      </div>

    </body>
    <script src="js/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.0/jquery-ui.js"></script>
    <script src="../bootstrap/js/bootstrap.js"></script>
    <script type="text/javascript" src="js/script.js"></script>
        <script type="text/javascript">
$(document).ready(function() {
    /*var refresh_rate = 600; //<-- In seconds, change to your needs
    var last_user_action = 0;
    var has_focus = false;
    var lost_focus_count = 0;
    var focus_margin = 10; // If we lose focus more then the margin we want to refresh


    function reset() {
        last_user_action = 0;
        console.log("Reset");
    }

    function windowHasFocus() {
        has_focus = true;
    }

    function windowLostFocus() {
        has_focus = false;
        lost_focus_count++;
        console.log(lost_focus_count + " <~ Lost Focus");
    }

    setInterval(function () {
        last_user_action++;
        refreshCheck();
    }, 1000);

    function refreshCheck() {
        var focus = window.onfocus;
        if ((last_user_action >= refresh_rate && !has_focus && document.readyState == "complete") || lost_focus_count > focus_margin) {
            window.location.reload(); // If this is called no reset is needed
            reset(); // We want to reset just to make sure the location reload is not called.
        }

    }
    window.addEventListener("focus", windowHasFocus, false);
    window.addEventListener("blur", windowLostFocus, false);
    window.addEventListener("click", reset, false);
    window.addEventListener("mousemove", reset, false);
    window.addEventListener("keypress", reset, false);*/

    $( "#menu" ).menu();
    $('.porid').hide();
    $('#porfecha').hide();
    $('#notas').hide();
    $('#facturas').hide();
    $('#GuardPag').hide();
    $('.porcliente').hide();
    
    $('.ejecutivo').hide();
    $('.checador').hide();
    $('#movs').hide();
    $('#fec').hide();
    $('#cancel').hide();
    $('.pornumero').hide();
    $('#mostrartodo').hide();
    $('.porsucursal').hide();
    $('.perdidas').hide();
    $('.revisado').hide();
            $('.norevisado').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();


    $('#GuardPag').on('click', function(){
        var cod = $('#codPago').val();
        var total = $('#totalPago').val();
        var anti = $('#antPago').val();
        var saldo = $('#saldoPago').val();
        var mp = $('#metodopago').val();

        if((mp !=0)){
        var url = './guardar_pago.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'cod='+cod+'&total='+total+'&anti='+anti+'&saldo='+saldo+'&mp='+mp,
        success: function(datos){
            alert('Pago capturado');
            location.reload();
        }
        });
    }else{
        alert('Tienes que seleccionar un metodo de pago ');
        $('#metodopago').focus();
    }

    });

    $('#busqenvid').on('click', function(){
        var dato = $('#codChofer').val();
        var desde = $('#bu').val();
        var hasta = $('#bus').val();
        var url = '../php/busca_id_operacion.php';
        
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+dato+'&desde='+desde+'&hasta='+hasta,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
        });

    $('#busqenvsuc').on('click', function(){
        var edop = $('#edoped').val();
        var url = './busq_ord_edoped.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'edop='+edop,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#busqenvnumliq').on('click', function(){
        var num = $('#numliq').val();
        var url = 'busq_ord_cod.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'num='+num,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

        $('#busqenvrev').on('click', function(){
        var suc = $('#anosr').val();
        var desde = $('#semrev').val();
        var url = '../php/busca_rev_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

        

    $('#busqenvnor').on('click', function(){
        var suc = $('#anosn').val();
        var desde = $('#semno').val();
        var url = '../php/busca_nor_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#busqenvpag').on('click', function(){
        var suc = $('#anospag').val();
        var desde = $('#sempag').val();
        var url = '../php/busca_pag_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });
    $('#busqenvpagt').on('click', function(){
        var suc = $('#anospagt').val();
        var desde = $('#sempagt').val();
        var url = '../php/busca_pagtra_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });
    $('#busqenvpage').on('click', function(){
        var suc = $('#anospage').val();
        var desde = $('#sempage').val();
        var url = '../php/busca_pagefe_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });
    $('#busqenvpenp').on('click', function(){
        var suc = $('#anospenp').val();
        var desde = $('#sempenp').val();
        var url = '../php/busca_nopago_operacion.php';

        
        $.ajax({
        type:'POST',
        url:url,
        data:'suc='+suc+'&desde='+desde,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
        });

    });

    $('#clientesa').on('change',function(){
        var dato = $('#clientesa').val();
        $('#codClienteb').val(dato);

    });

    $('#calcpend').on('click',function(){
        
        var ant = $('#antPago').val();
        var saldo = $('#saldoPago').val();
        var total = $('#totalPago').val();
        var cod = $('#codPago').val();

        var url = 'calc_pago.php';
        
        $.ajax({
        type:'POST',
        url:url,
        data:'ant='+ant+'&saldo='+saldo+'&total='+total+'&cod='+cod,
        success: function(datos){
            $('#saldoPago').val(datos);
            $('#GuardPag').show();

        }
    });
        

    });

    $('#busqenv').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdv').val();
        var hasta = $('#busqhv').val();
        var tipo = $('#tipofoliov').val();
        var url = 'busq_rpt_ventas.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });

    

    $('#busqenvpc').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvpc').val();
        var hasta = $('#busqhvpc').val();
        var tipo = $('#tipofoliovpc').val();
        var url = 'busq_rpt_ventaspc.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });
    $('#busqenvnot').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvp').val();
        var hasta = $('#busqhvp').val();
        var tipo = $('#tipofoliovp').val();
        var url = 'busq_rpt_ventasp.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });
    $('#busqenvfac').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdc').val();
        var hasta = $('#busqhc').val();
        var url = 'busq_rpt_cliente.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });

    $('#busqenvca').on('click', function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvc').val();
        var hasta = $('#busqhvc').val();
        var tipo = $('#tipofoliovc').val();
        var url = 'busq_rpt_ventasc.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });
    $('#clientesa').on('change',function(){
        var dato = $('#clientesa').val();
        $('#codClienteb').val(dato);

    });

    $('#busqenvc').on('click',function(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdp').val();
        var hasta = $('#busqhp').val();
        var tipo = $('#tipofoliop').val();
        var url = 'busq_rpt_productos.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });

    $('#codClienteb').on('keyup',function(){
        var dato = $('#codClienteb').val();
        var url = './buscar_cliente.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'dato='+dato,
        success: function(datos){
            /*var separar = datos.split(",");
            var nom = separar[0];
            var rs = separar[1];
            var id = separar[2];
            var per = separar[3];
            var rfc = separar[4];
            $('#codCliente').val(id).show(300).delay(5000);
            $('#rs2Remitente').val(rs).show(300).delay(5000);
            $('#nom2Remitente').val(nom).show(300).delay(5000);
            $('#rfcRemitente').val(rfc).show(300).delay(5000);
            if(per=='Fisica'){
                $('#ret1').hide();
                $('#retOrden').hide();
            }else{
                $('#ret1').show();
                $('#retOrden').show();
            }*/
            $('#clientesb').html(datos);
        }
    });
    return false;
    });


    $('#busqid').on('click', function(){
        var desde = $('#busqd').val();
        var hasta = $('#busqh').val();
        var url = '../php/busca_fechas.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'desde='+desde+'&hasta='+hasta,
        success: function(datos){
            $('#agrega-registros').html(datos);
        }
    });
    return false;
    });




    $('#busqueda').on('change', function(){
        var opc = $('#busqueda').val();
        if(opc == 1){
            $('#porfecha').show(300).delay(500);
            $('.porid').hide();
            $('.porsucursal').hide();
            $('.perdidas').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            $('.pornumero').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
            $('#mostrartodo').hide();
            $('#cancel').hide();
            $('#ventasporcliente').hide();
            $('#notas').hide();
            $('#facturas').hide();
            $('#fec').hide();
            $('#movs').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            
        }else if(opc == 2){
            $('.porid').show(300).delay(500);
            $('#porfecha').hide();
            $('.porsucursal').hide();
            $('.perdidas').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.pornumero').hide();
            $('.porcliente').hide();
            $('#mostrartodo').hide();
            $('#ventasporcliente').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
            $('#fec').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#movs').hide();
        }else if(opc == 3){
            $('.porid').hide();
            $('#porfecha').hide();
            $('.porsucursal').hide();
            $('.porcliente').hide();
            $('.perdidas').hide();
            $('.revisado').hide();
            $('#ventasporcliente').hide();
            $('.norevisado').hide();
            $('#mostrartodo').show();
            $('.penpag').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.pagefe').hide();
            $('#movs').hide();
            $('.pagtra').hide();
            $('#fec').hide();
            $('.pag').hide();
            var url = '../php/busca_todo_operacion.php';
            $.ajax({
                type:'POST',
                url:url,
                success: function(datos){
                    $('#agrega-registros').html(datos);
                }
            });
        }else if(opc == 4){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#fec').hide();
            $('.perdidas').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('#movs').hide();
            $('.porsucursal').hide();
            $('.porcliente').show(300).delay(500);
            $('.penpag').hide();
            $('.pagefe').hide();
            $('#ventasporcliente').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 5){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.revisado').hide();
            $('.pornumero').hide();
            $('.norevisado').hide();
            $('#fec').hide();
            $('.perdidas').hide();
            $('.porcliente').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#ventasporcliente').hide();
            $('.porsucursal').show(300).delay(500);
            $('.penpag').hide();
            $('.pagefe').hide();
            $('#movs').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 6){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.revisado').hide();
            $('.pornumero').hide();
            $('#fec').hide();
            $('.norevisado').hide();
            $('.perdidas').show(300).delay(500);
            $('.porcliente').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.porsucursal').hide();
            $('.penpag').hide();
            $('#ventasporcliente').hide();
            $('.pagefe').hide();
            $('#movs').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 7){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('.perdidas').hide();
            $('.revisado').hide();
            $('#fec').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.norevisado').show(300).delay(500);
            $('.porcliente').hide();
            $('.porsucursal').hide();
            $('#ventasporcliente').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('#movs').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 8){
            $('#porfecha').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.porid').hide();
            $('#fec').hide();
            $('.perdidas').hide();
            $('#mostrartodo').hide();
            $('.pornumero').show(300).delay(500);
            $('.revisado').hide();
            $('.norevisado').hide();
            $('#ventasporcliente').hide();
            $('.porcliente').hide();
            $('.porsucursal').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('#movs').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 9){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.pornumero').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#fec').hide();
            $('.perdidas').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('#ventasporcliente').hide();
            $('.porsucursal').hide();
            $('#movs').hide();
            $('.porcliente').hide();
            $('.penpag').show(300).delay(500);
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 10){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.perdidas').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.pornumero').hide();
            $('.revisado').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            $('#movs').hide();
            $('.porsucursal').hide();
            $('#ventasporcliente').hide();
            $('.penpag').hide();
            $('#fec').show();
            $('.pagtra').hide();
            $('.pag').hide();
        }else if(opc == 11){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.perdidas').hide();
            $('.pornumero').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.revisado').hide();
            $('#movs').hide();
            $('.norevisado').hide();
            $('.porcliente').hide();
            $('.porsucursal').hide();
            $('#fec').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('#ventasporcliente').hide();
            $('.pagtra').show(300).delay(500);
            $('.pag').hide();
        }else if(opc == 12){
            $('#porfecha').hide();
            $('.porid').hide();
            $('#mostrartodo').hide();
            $('.perdidas').hide();
            $('#movs').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.pornumero').hide();
            $('.revisado').hide();
            $('.norevisado').hide();

            $('#fec').hide();
            $('.porcliente').hide();
            $('.porsucursal').hide();
            $('.penpag').hide();
            $('.pagefe').hide();
            $('.pagtra').hide();
            $('#cancel').hide();
            $('#ventasporcliente').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.pag').show(300).delay(500);
        }else if(opc == 13){
            $('#porfecha').hide();
            $('#notas').hide();
            $('.perdidas').hide();
            $('#facturas').hide();
            $('#movs').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#fec').hide();
            $('#ventasporcliente').hide();
            $('#cancel').show(300).delay(500);
        }else if(opc == 14){
            $('#porfecha').hide();
            $('#movs').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('.perdidas').hide();
            $('#cancel').hide();
            $('#fec').hide();
            $('#ventasporcliente').hide();
            $('#notas').show(300).delay(500);
            $('#facturas').hide();
            
        }else if(opc == 15){
            $('#porfecha').hide();
            $('.perdidas').hide();
            $('#cancel').hide();
            $('#movs').hide();
            $('#notas').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#fec').hide();
            $('#ventasporcliente').hide();
            $('#facturas').show(300).delay(500);
            
        }else if(opc == 16){
            $('#porfecha').hide();
            $('#movs').hide();
            $('.perdidas').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#cancel').hide();
            $('#fec').hide();
            $('#notas').hide();
            $('#ventasporcliente').show(300).delay(500);
            $('#facturas').hide();
            
        }else if(opc == 19){
            $('#porfecha').hide();
            $('#movs').show(300).delay(500);
            $('.perdidas').hide();
            $('.ejecutivo').hide();
            $('.checador').hide();
            $('#cancel').hide();
            $('#fec').hide();
            $('#notas').hide();
            $('#ventasporcliente').hide();
            $('#facturas').hide();
            
        }else if(opc == 20){
            $('#porfecha').hide();
            $('#movs').hide();
            $('.perdidas').hide();
            $('.ejecutivo').show(300).delay(500);
            $('#cancel').hide();
            $('#fec').hide();
            $('#notas').hide();
            $('#ventasporcliente').hide();
            $('#facturas').hide();
            
        }else if(opc == 21){
            $('#porfecha').hide();
            $('#movs').hide();
            $('.perdidas').hide();
            $('.ejecutivo').hide();
            $('.checador').show(300).delay(500);
            $('#cancel').hide();
            $('#fec').hide();
            $('#notas').hide();
            $('#ventasporcliente').hide();
            $('#facturas').hide();
            
        }


    });

    
                    
    });
    function pagoeditar(id){
        
        $.ajax({
            type:'POST',
            url:'./pagobuscar.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                var separar = datos.split("|");
                var total = separar[0];
                var anti = separar[1];
                var saldo = separar[2];
                var folio = separar[3];
                
                $('#codPago').val(folio);
                $('#totalPago').val(total);
                $('#saldoPago').val(saldo);

                }else{
                    alert(datos);
                }
            }
            });
    }

    function cancel(id){
        if(confirm('Deseas cancelar la orden?')){
        $.ajax({
            type:'POST',
            url:'./cancelarorden.php',
            data:'id='+id,
            success: function(datos){
                if(datos != ""){
                alert('Orden cancelada');
                location.reload();

                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Orden no cancelada');
        }
    }
    function pagoguardar(id){
            var edo = 's'+id;
            var val = $('#'+edo).val();
            if(confirm('Deseas confirmar el pago?')){

            $.ajax({
            type:'POST',
            url:'../php/pagoaplicar.php',
            data:'id='+edo+'&val='+val,
            success: function(datos){
                if(datos != ""){
                alert('Cambio aplicado');
                var separar = datos.split("|");
                var valor = separar[0];
                var cons = separar[1];
                $('s'+cons).val(valor);
                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Pago no aplicado');
        }
        }

        function estadoguardar(id){
            var edo = 's'+id;
            var val = $('#'+edo).val();
            if(confirm('Deseas confirmar el estado?')){

            $.ajax({
            type:'POST',
            url:'./edoguardar.php',
            data:'id='+edo+'&val='+val,
            success: function(datos){
                if(datos != ""){
                alert('Cambio aplicado');
                var separar = datos.split("|");
                var valor = separar[0];
                var cons = separar[1];
                $('s'+cons).val(valor);
                }else{
                    alert(datos);
                }
            }
            });
        }else{
            alert('Pago no aplicado');
        }
        }

function revisado(){
    var checkbox_value = "|";
        var cont = 0;
        var edo = $('#accnor').val();
        $(":checkbox").each(function () {
            var ischecked = $(this).is(":checked");
            if (ischecked) {
                checkbox_value += $(this).val() + "|";
                cont++;
            }
        });

        var url = '../php/aplicar_revisados.php';
        $.ajax({
        type:'POST',
        url:url,
        data:'check='+checkbox_value+'&cont='+cont+'&edo='+edo,
        success: function(datos){
            alert('Cambios aplicados');

        }
    });
}

function check(obj,id){
    if(obj.checked){
        $('.'+id).css("background", "#81BEF7");
    }else{
        $('.'+id).css("background", "#FFFFFF");
    }
}

    function excel(){
        var desde = $('#bd-desde').val();
        var hasta = $('#bd-hasta').val();
        window.open('../reportes/reportefechas.php?desde='+desde+'&hasta='+hasta);
    }

    function excelr(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdp').val();
        var hasta = $('#busqhp').val();
        window.open('rpt_productos.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }
    function excelcat(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdcat').val();
        var hasta = $('#busqhcat').val();
        window.open('rpt_cat.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }
    function excelejec(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdcate').val();
        var hasta = $('#busqhcate').val();
        window.open('rpt_ejecutivo.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }
    function excelchec(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdcatec').val();
        var hasta = $('#busqhcatec').val();
        window.open('rpt_checador.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }

    function excelper(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdper').val();
        var hasta = $('#busqhper').val();
        window.open('rpt_per.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }

    function excelv(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdv').val();
        var hasta = $('#busqhv').val();
        var tipo = $('#tipofoliov').val();
        window.open('rpt_ventas.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }
    function excelmov(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvm').val();
        var hasta = $('#busqhvm').val();
        var tipo = $('#tipofoliovm').val();
        window.open('rpt_movexcel.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }
    function excelvpc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvpc').val();
        var hasta = $('#busqhvpc').val();
        var tipo = $('#tipofoliovpc').val();
        window.open('rpt_ventaspc.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }
    function excelfec(){
        var desde = $('#busqfec').val();
        var sucbus = $('#sucbus').val();
        if(sucbus == 0){
            alert('Necesitas seleccionar una sola sucursal');
        }else{
            window.open('rpt_fec.php?desde='+desde+'&sucbus='+sucbus);
        }
    }
    function excelrv(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdrv').val();
        var hasta = $('#busqhrv').val();
        var tipo = $('#tipofoliorv').val();
        window.open('rpt_rventasv.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo);
    }
    function excelvc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvc').val();
        var hasta = $('#busqhvc').val();
        var tipo = $('#tipofoliovc').val();
        window.open('rpt_ventasc.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }

    function excelvp(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdvp').val();
        var hasta = $('#busqhvp').val();
        var tipo = $('#tipofoliovp').val();
        window.open('rpt_ventasp.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }

    function exceltc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdtc').val();
        var hasta = $('#busqhtc').val();
        var tipo = $('#tipofoliotc').val();
        window.open('rpt_tipocliente.php?desde='+desde+'&hasta='+hasta+'&tipo='+tipo+'&sucbus='+sucbus);
    }

    function excelc(){
        var sucbus = $('#sucbus').val();
        var desde = $('#busqdc').val();
        var hasta = $('#busqhc').val();
        window.open('rpt_clientes.php?desde='+desde+'&hasta='+hasta+'&sucbus='+sucbus);
    }
    

    function excelnr(){
        var suc = $('#anosn').val();
        var desde = $('#semno').val();
        window.open('../reportes/rpt_nor.php?ano='+suc+'&sem='+desde);
    }
    function excelpenp(){
        var suc = $('#anospenp').val();
        var desde = $('#sempenp').val();
        window.open('../reportes/rpt_npag.php?ano='+suc+'&sem='+desde);
    }
    function excelpage(){
        var suc = $('#anospage').val();
        var desde = $('#sempage').val();
        window.open('../reportes/rpt_pagefe.php?ano='+suc+'&sem='+desde);
    }
    function excelpagt(){
        var suc = $('#anospagt').val();
        var desde = $('#sempagt').val();
        window.open('../reportes/rpt_pagtra.php?ano='+suc+'&sem='+desde);
    }
    function excelpag(){
        var suc = $('#anospag').val();
        var desde = $('#sempag').val();
        window.open('../reportes/rpt_pag.php?ano='+suc+'&sem='+desde);
    }
    function exceltodo(){
        window.open('../reportes/rpt_cpc.php');
    }
    function gral(){
            var desde = $('#busqd').val();
            var hasta = $('#busqh').val();
            window.open('../reportes/rpt_bodega.php?desde='+desde+'&hasta='+hasta);
    }
    function editar(id) {
    window.open('../php/editarorden.php?id='+id);

}   
function cancelada(id) {
    window.open('../php/editarorden.php?id='+id);

}   
function cancelar(id) {
    if(confirm('Deseas confirmar la revision?')){
        if(confirm('Esta seguro de aplicar la revision?')){

            $.ajax({
            type:'POST',
            url:'../php/cancelarfact.php',
            data:'dato='+id,
            success: function(datos){
                if(datos==1){
                var clase = "\"btn btn-success\"";
                var text = "\"background-color:#2E9AFE;background-image:none;border-color:#2E9AFE;\""; 
                $("#p"+id).html("<td id=p"+id+"><button onclick=pagar("+id+") class="+clase+" style="+text+">Revisado</button></td>");
                }
            }
            });
        }else{
            alert('Revision no aplicada');
        }
    }else{
            alert('Revision no aplicada');
        }

}

function pagar(id) {
    if(confirm('Deseas cancelar la revision?')){
        if(confirm('Esta seguro de cancelar la revision?')){

            $.ajax({
            type:'POST',
            url:'../php/pagar.php',
            data:'dato='+id,
            success: function(datos){
                var clase = "\"btn btn-danger\"";
                alert('Revision cancelada');
                $("#p"+id).html("<td id=p"+id+"><button onclick=cancelar("+id+") class="+clase+">PENDIENTE</button></td>");
                  
            }
            });
        }else{
            alert('Revision no cancelada');
        }
    }else{
            alert('Revision no cancelada');
        }

}

function correo(dir) {
    var con = prompt("Confirma el correo");
        if(con != null){
            var seg = confirm("Seguro que quieres mandar el correo?");
            if(seg==true){
                $.ajax({
                type:'POST',
                url:'../php/correo.php',
                data:'dato='+dir +'&correo='+con,
                success: function(datos){
                    if(datos==1){
                    alert('Correo enviado');
                    }
                }
                });
            
            }else{
            alert('Error');
        }
        }
        }

            
        
        



    function caja(id) {
        var num = prompt("Escribe el numero de factura");
        if(num != null){
            var seg = confirm("Seguro que quieres asignar esa factura?");
            if(seg == true){
                var reg = 0;
                $.ajax({
                    type:'POST',
                    url:'./ordenfactura.php',
                    data:'dato='+id+'&num='+num+'&reg='+reg,
                    success: function(datos){
                        
                        $("#f"+id).html("<td>"+num+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Factura asignada');         
                    }
                });
            }else{
                
            }
        }
    }

    function cajar(id) {
        var num = prompt("Escribe el numero de factura regreso");
        if(num != null){
            var seg = confirm("Seguro que quieres asignar esa factura regreso?");
            if(seg == true){
                var reg = 1;
                $.ajax({
                    type:'POST',
                    url:'../php/orden_update.php',
                    data:'dato='+id+'&num='+num+'&reg='+reg,
                    success: function(datos){
                        
                        $("#r"+id).html("<td>"+num+"</td>");
                        //$('#'+id+'').html("<td>Caja"+id+"</td>");
                        alert('Factura regreso asignada');         
                    }
                });
            }else{
                
            }
        }
    }

        </script>
</html>


